using System.Windows;

namespace XLAB2
{
    public partial class SpoiDirectoryWindow : Window
    {
        private readonly SpoiDirectoryWindowViewModel _viewModel;

        public SpoiDirectoryWindow()
        {
            InitializeComponent();
            _viewModel = new SpoiDirectoryWindowViewModel(new PsvDataService(), new DialogService(this));
            DataContext = _viewModel;
        }

        private async void Window_Loaded(object sender, RoutedEventArgs e)
        {
            await _viewModel.InitializeAsync();
        }
    }
}
